Index: trunk/SophyaLib/NTools/smakefile
===================================================================
--- trunk/SophyaLib/NTools/smakefile	(revision 3836)
+++ trunk/SophyaLib/NTools/smakefile	(revision 3851)
@@ -673,78 +947,108 @@
  
 $(SOPHYAOBJP)tabmath.o: tabmath.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h tabmath.h peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)pexceptions.h fmath.h nbconst.h
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h tabmath.h peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fmath.h nbconst.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tabmath.cc
  
-$(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
-  $(SOPHYAINCP)sopnamsp.h toeplitzMatrix.h \
-  $(SOPHYAINCP)machdefs.h nbmath.h \
+$(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc $(SOPHYAINCP)sopnamsp.h \
+  toeplitzMatrix.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h nbmath.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)timing.h \
-  $(SOPHYAINCP)array.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)array.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)matharr.h \
-  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)fioarr.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)sopemtx.h \
-  $(SOPHYAINCP)arrctcast.h fftservintf.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h fftpserver.h
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)symmtx.h $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h fftservintf.h fftpserver.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  toeplitzMatrix.cc
  
 $(SOPHYAOBJP)datime.o: datime.c $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)strutil.h nbconst.h datime.h
 	$(CCOMPILE) -o $@  datime.c
  
 $(SOPHYAOBJP)fftmayer_r4.o: fftmayer_r4.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h trigtbl.h
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h trigtbl.h
 	$(CCOMPILE) -o $@  fftmayer_r4.c
  
 $(SOPHYAOBJP)fftmayer_r8.o: fftmayer_r8.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h trigtbl.h
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h trigtbl.h
 	$(CCOMPILE) -o $@  fftmayer_r8.c
  
-$(SOPHYAOBJP)fftpackc.o: fftpackc.c fftpackc.h \
-  $(SOPHYAINCP)machdefs.h
+$(SOPHYAOBJP)fftpackc.o: fftpackc.c fftpackc.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h
 	$(CCOMPILE) -o $@  fftpackc.c
  
-$(SOPHYAOBJP)matxop.o: matxop.c matxop.h nbmath.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)matxop.o: matxop.c matxop.h nbmath.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)machdefs.h
 	$(CCOMPILE) -o $@  matxop.c
  
-$(SOPHYAOBJP)nbmath.o: nbmath.c nbmath.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)nbmath.o: nbmath.c nbmath.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h matxop.h nbinteg.h \
-  nbtri.h
+  $(SOPHYAINCP)machdefs.h matxop.h nbinteg.h nbtri.h
 	$(CCOMPILE) -o $@  nbmath.c
  
-$(SOPHYAOBJP)nbtri.o: nbtri.c nbtri.h $(SOPHYAINCP)machdefs.h
+$(SOPHYAOBJP)nbtri.o: nbtri.c nbtri.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h
 	$(CCOMPILE) -o $@  nbtri.c
  
